Subject: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: martin rudalics <[email-masked]>
Date: Sun, 26 Jan 2014 12:20:01 +0100

> More accurately, end-of-buffer calls recenter, which needs to compute
 > where to put window-start, which requires Emacs to examine the text
 > before point.  As part of this examination, we invoke functions that
 > simulate display, and those trigger JIT Lock, whose fontification
 > function starts the madness.

This doesn't match my observations.  With my shortened scenario

(progn
   (setq scroll-conservatively 101)
   (find-file (concat source-directory "src/xdisp.c"))
   (end-of-buffer)
   (sit-for 3))

there is no such problem.  Please enlighten.  I must be missing
something.

martin